# Magnesium Oxide

![GitHub release (latest by date)](https://img.shields.io/github/v/release/ChecksumDev/magnesium-oxide?label=Release) [![Build and Deploy](https://github.com/ChecksumDev/magnesium-oxide/actions/workflows/rust.yml/badge.svg)](https://github.com/ChecksumDev/magnesium-oxide/actions/workflows/rust.yml) ![Discord](https://img.shields.io/discord/954224598570926110?label=Discord&logo=DISCORD) ![coffee](https://img.shields.io/badge/Made%20with-Coffee-a27250?logo=CoffeeScript)

## ❔ What is this?

Magnesium-Oxide (MGO) is a secure file uploader with support for ShareX.

## 🌠 Features

- 🔥 Blazingly fast uploads and encryption
- 🔒 Encryption on all files uploaded using [AES256-GCM-SIV](https://eprint.iacr.org/2017/168.pdf)
- 🔒 Optional full-scale database encryption
- 💀 Zero-width spacing url support

## 🌌 Roadmap

- [ ] Web UI (Svelte)
- [ ] UTF-16 support
- [ ] Embed Customization
- [ ] Support for other databases
- [ ] Support for linux alternatives to ShareX (make an issue to request)

## ➕ Contributing

Contributions, issues, and feature requests are welcome,

Ensure you read [CONTRIBUTING](CONTRIBUTING.md) before submitting a pull request.

## 🤝 Support

Don't hesitate to give us a ⭐️ if you like what you see!

## 📊 Benchmarks

![fast](https://mgo.li/4c646c67b7ed79c2885bd7868890c0960c2b578d3f496e3201bcdd5b740c7fbfccc9a112ee591dda4f764d29f205917ec2bf4b6cd93ff408efe66c45856bf587.jpg?key=hnVvNAUQHiFoQujK-2lCeZbDaBdE8oefSgymzaFvaw4&nonce=CIFsraKyqoPWwhUd)
